resources:
  App\Entity\ActivityArea:

    denormalizationContext:
      groups:
        - 'activity_area:write'

    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'activity_area:read'
        - 'activity_area:read_children'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'activity_area.order_filter', 'activity_area.search_filter', 'activity_area.exist_filter', 'activity_area.global_search_filter' ]
        openapiContext:
          security: [ ]
          summary: ActivityArea - List.
          description: >
            Retrieves a list of ActivityArea


      ApiPlatform\Metadata\Get:
        openapiContext:
          security: [ ]
          summary: ActivityArea - Item.
          description: >
            Retrieves a item of ActivityArea

      ApiPlatform\Metadata\Post:
        openapiContext:
          security: [ ]
          summary: ActivityArea - Create.
          description: >
            create an item of ActivityArea

      ApiPlatform\Metadata\Put:
        openapiContext:
          security: [ ]
          summary: ActivityArea - Update.
          description: >
            update an item of ActivityArea

      ApiPlatform\Metadata\Delete:
        openapiContext:
          security: [ ]
          summary: ActivityArea - Delete.
          description: >
            delete an item of ActivityArea